:
:                GAME-MAKER SAMPLE FILE RESTORATION BATCH FILE. 
:
:                          September 18, 1994  V3.0
:
ECHO OFF
:
IF EXIST sample.* GOTO START
ECHO  You    need  to  be  in  the  SAMPLE  game  subdirectory
ECHO  (for example, C:\GM\SAMPLE>) to restore the SAMPLE game.   
GOTO END
:
:START
:
IF %0 == A:RESTORE GOTO INA
IF %0 == a:restore GOTO INA
IF %0 == B:RESTORE GOTO INB
IF %0 == b:restore GOTO INB
:
ECHO  You have entered the command incorrectly.  Check the manual.
ECHO  You need to type either 'A:RESTORE' or 'B:RESTORE' depending on which
ECHO  drive you want to use.
GOTO END
:
:INA
:
: Tell the user about restore.
TYPE A:RESTORE.TXT
:
PAUSE
:
: Copy all the files over.
lharc e a:sample.lzh /c
:
GOTO SIGNOFF
:
:INB
:
: Tell the user about restore.
TYPE B:RESTORE.TXT
:
PAUSE
:
: Copy all the files over.
lharc e b:sample.lzh /c
:
:
:SIGNOFF
:
ECHO ON
PAUSE Sample file restoration complete. 
:
:END